'' =================================================================================================
''
''   File....... jm_sircs_tx_demo.spin
''   Purpose.... SIRCS transmitter demo
''   Author..... Jon "JonnyMac" McPhalen (aka Jon Williams)
''   E-mail..... jon@jonmcphalen.com
''   Started.... 
''   Updated.... 13 NOV 2009
''
'' =================================================================================================


con

  _clkmode  = xtal1 + pll16x
  _xinfreq  = 5_000_000


con

  #1, HOME, #8, BKSP, TAB, LF, CLREOL, CLRDN, CR, #16, CLS      ' PST formmatting control  


obj

  ir   : "jm_sircs_tx"                                          ' sircs decoding 
  term : "jm_txserial"                                          ' tx serial 

                               
pub main

  ir.init(7, ir#HZ_40K0)                                        ' IR output on p7 @ 40kHz
  
  term.init(30, 115_200)                                        ' use programming port
  waitcnt(clkfreq / 1_000 + cnt)

  term.str(string(CLS, "SIRCS TX Test", CR, CR))

  repeat
    term.str(string(CR, "Pressing CH+ button.", CR))
    repeat 5
      ir.tx(%01010011_110100010000, 20, 3)                      ' CH+, 20-bit SIRCS, 3 frames
      term.tx(".")
      repeat 2
        waitcnt(clkfreq + cnt)
    term.str(string(CR, "Pressing CH- button.", CR))
    repeat 5
      ir.tx(%01010011_110100010001, 20, 3)                      ' CH-
      term.tx(".")      
      repeat 2
        waitcnt(clkfreq + cnt)

    